public class BesonderheitenOperatoren
{
	public static void main(String[] args)
	{
		int i=123;
		double d=0.0;
		
		System.out.println("i: "+i);
		System.out.println("i++: "+(i++));//Nebeneffekt
		System.out.println("i: "+i);
		
		d=3/4;
		System.out.println("d: "+d);
		
		d=3.0/4;
		System.out.println("d: "+d);
		
		d=3/4.0;
		System.out.println("d: "+d);
		
		d=i;//automatische Typkonvertierung
		System.out.println("d: "+d);
		
//		i=d;
//		System.out.println("i: "+i);
	}
}